Install Apostrophe CMS on Ubuntu 16.04 / 18.04 LTS

ApostropheCMS is an open source content management system (CMS) built on Node.js that is used around the world by enterprises and individuals looking for a simple to use platform for building great websites…. It brings joy and productivity to web developers and content editors…

ApostropheCMS is in use for many kinds of websites, from small nonprofits and large enterprises…

Using ApostropheCMS to edit your content on the web should be easy and fun…. No need for learning templating and HTML…. ApostropheCMS hides most of that stuff and focuses on what matters most.…..

ApostropheCMS offers features that may not be available to other PHP based CMS, like WordPress Joomla or Drupal… All you do is write your content and its instantly published… Other features like permalinks, categories, pages, posts, and custom layouts are all top content and SEO friendly…

For more about ApostropheCMS , check its homepage….

This brief tutorial is going to show students and new users how to install ApostropheCMS on Ubuntu 16.04 / 18.04 and 18.10 systems.

These are the packages we’re going to be setting up…

  • Ruby version 2.5.3
  • MongoDB

Step 1: Install Ruby

To install Ruby and Rails on Ubuntu, you’ll need  to install some dependencies… To make that happen, install Node.js and Yarn repositories… This will make installing the dependencies easier…

First install these curl and git packages…

sudo apt update
sudo apt install curl git

Than run the commands below to add Node.js and Yarn repositories and keys to your system…. Then install some core packages to get your environment going…

curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash -
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list

sudo apt-get update
sudo apt-get install nodejs yarn zlib1g-dev build-essential libpq-dev libssl-dev libreadline-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt1-dev libcurl4-openssl-dev software-properties-common libffi-dev

When you’re done… continue below:

After adding the repositories and installing necessary packages above, install Ruby with your local profile settings using rbenv… you’ll then use rbenv to install ruby-build…

cd ~/
git clone https://github.com/rbenv/rbenv.git ~/.rbenv
echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
echo 'eval "$(rbenv init -)"' >> ~/.bashrc
exec $SHELL

git clone https://github.com/rbenv/ruby-build.git ~/.rbenv/plugins/ruby-build
echo 'export PATH="$HOME/.rbenv/plugins/ruby-build/bin:$PATH"' >> ~/.bashrc
exec $SHELL

After setting up your local profile… run the commands below to install Ruby version 2.5.3… If a newer version is available, replace the version number to that… visit this site to find out Ruby latest versions….

rbenv install 2.5.3
rbenv global 2.5.3

To verify that Ruby is installed, run the commands below:

ruby -v

You should see similar lines as below:

ruby 2.5.3p105 (2018-10-18 revision 65156) [x86_64-linux]

Step 2: Install Node.js

Now that Ruby environment is set up, run the commands below to install Node.js… Run the commands below to install Node.js repository, then install Node.js package…

curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash -
sudo apt-get install -y nodejs

Now that Node.js is installed, run the commands below to install ApostropheCMS…

Step 3: Install MongoDB

MongoDB is the database that Apostrophe uses… So install MongoDB, ImageMagic before continuing with setting up your website projects…

sudo apt install mongodb
npm install mongodb --save

After installing MongoDB server, open a new terminal window and try It should start an interactive mongo prompt. ctrl+c to exit.

Step 4: Install ApostropheCMS

Now that your environment is ready, run the commands below to install ApostropheCMS and build your first site…  Next, run the commands below..

npm install imagemagick
sudo npm install apostrophe-cli -g
apostrophe create-project apostrophecms

Next change into the ApostropheCMS folder and install there…

cd ~/apostrophecms

Then run the commands to install ApostropheCMS and configure the server…. Add an admin user to the admin group; prompts for password

npm install
node app.js apostrophe-users:add admin admin
node app.js

After a while, necessary packages should be installed and configured, ready to use.

Now open your browser and browse to the hostname follow by port # 3000

http://localhost:3000

You should see ApostropheCMS home page…

Apostrophe CMS install

Next, logon to the backend and begin creating content…

Use the credential you created for admin above…

Apostrophe CMS install

Now you can start building your great content!

Apostrophe CMS install

Congratulation! You have successfully installed Apostrophe CMS platform on Ubuntu 16.04 / 18.04 / 18.10

You may also like the post below:

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.